Package org.springframework.test.web.servlet.result

# Class FlashAttributeResultMatchers

java.lang.Object
org.springframework.test.web.servlet.result.FlashAttributeResultMatchers

public class FlashAttributeResultMatchers extends Object
Factory for "output" flash attribute assertions.

An instance of this class is typically accessed via `MockMvcResultMatchers.flash()`.

Since:
  3.2
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FlashAttributeResultMatchers()`
Protected constructor.

## Method Summary

Modifier and Type
Method
Description
`ResultMatcher`
`attribute(String name, Object value)`
Assert a flash attribute's value.
`<T> ResultMatcher`
`attribute(String name, Matcher<? super T> matcher)`
Assert a flash attribute's value with the given Hamcrest `Matcher`.
`ResultMatcher`
`attributeCount(int count)`
Assert the number of flash attributes.
`ResultMatcher`
`attributeExists(String... names)`
Assert the existence of the given flash attributes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlashAttributeResultMatchers

protected FlashAttributeResultMatchers()
Protected constructor. Use `MockMvcResultMatchers.flash()`.

## Method Details

### attribute

public <T> ResultMatcher attribute(String name, Matcher<? super T> matcher)
Assert a flash attribute's value with the given Hamcrest `Matcher`.

### attribute

public ResultMatcher attribute(String name, @Nullable Object value)
Assert a flash attribute's value.

### attributeExists

public ResultMatcher attributeExists(String... names)
Assert the existence of the given flash attributes.

### attributeCount

public ResultMatcher attributeCount(int count)
Assert the number of flash attributes.